{
  "name": "advent22_ui",
  "version": "0.2.0",
  "private": true,
  "type": "module",
  "packageManager": "yarn@4.12.0",
  "scripts": {
    "dev": "vite --host",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview --host",
    "test:unit": "vitest",
    "build-only": "vite build",
    "type-check": "vue-tsc --build",
    "lint": "run-s 'lint:*'",
    "lint:oxlint": "oxlint . --fix",
    "lint:eslint": "eslint . --fix --cache",
    "format": "prettier --write --experimental-cli src/"
  },
  "dependencies": {
    "pinia": "^3.0.4",
    "vue": "^3.5.28"
  },
  "devDependencies": {
    "@fortawesome/fontawesome-svg-core": "^7.2.0",
    "@fortawesome/free-solid-svg-icons": "^7.2.0",
    "@fortawesome/vue-fontawesome": "^3.1.3",
    "@tsconfig/node24": "^24.0.4",
    "@types/jsdom": "^27.0.0",
    "@types/luxon": "^3.7.1",
    "@types/node": "^25.3.0",
    "@vitejs/plugin-vue": "^6.0.4",
    "@vitest/eslint-plugin": "^1.6.9",
    "@vue/eslint-config-typescript": "^14.7.0",
    "@vue/test-utils": "^2.4.6",
    "@vue/tsconfig": "^0.8.1",
    "animate.css": "^4.1.1",
    "axios": "^1.13.5",
    "bulma": "^1.0.4",
    "bulma-toast": "2.4.3",
    "eslint": "^10.0.1",
    "eslint-config-prettier": "^10.1.8",
    "eslint-plugin-oxlint": "~1.49.0",
    "eslint-plugin-vue": "~10.8.0",
    "jiti": "^2.6.1",
    "jsdom": "^28.1.0",
    "luxon": "^3.7.2",
    "npm-run-all2": "^8.0.4",
    "oxlint": "~1.49.0",
    "prettier": "3.8.1",
    "sass-embedded": "^1.97.3",
    "typescript": "~5.9.3",
    "vite": "^7.3.1",
    "vite-bundle-analyzer": "^1.3.6",
    "vite-plugin-html": "^3.2.2",
    "vite-plugin-vue-devtools": "^8.0.6",
    "vitest": "^4.0.18",
    "vue-eslint-parser": "^10.4.0",
    "vue-tsc": "^3.2.5"
  },
  "engines": {
    "node": "^20.19.0 || >=22.12.0"
  }
}
